<mat-card>
  <mat-card-title class="class-title">
    <img class="app-logo" src="../assets/images/app-logo.png">
    <span class="app-title">URL Shortener</span>
  </mat-card-title>
  <form class="example-form" #urlShortenerForm="ngForm">
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Full URL</mat-label>
      <input class="full-url-imput" matInput placeholder="Ex. https://www.google.com"
        name="longUrl" #longUrl="ngModel" [(ngModel)]="urlShortenerDetail.longUrl">
    </mat-form-field>
    <button class="shrink-btn" mat-flat-button color="primary" (click)="createUrlShortener()">Shrink</button>
  </form>
  <table mat-table [dataSource]="urlShortener" class="mat-elevation-z8">
    <ng-container matColumnDef="long_url">
      <th mat-header-cell *matHeaderCellDef>Full URL</th>
      <td mat-cell *matCellDef="let element">
        <a href="{{ element.long_url }}" target="_blank">{{ element.long_url }}</a>
      </td>
    </ng-container>
    <ng-container matColumnDef="short_url">
      <th mat-header-cell *matHeaderCellDef>Short URL</th>
      <td mat-cell *matCellDef="let element">
        <a (click)="getLongUrl(element.short_url)" class="get-long-url-btn">{{ element.short_url }}</a>
      </td>
    </ng-container>
    <ng-container matColumnDef="count">
      <th mat-header-cell *matHeaderCellDef>Visited</th>
      <td mat-cell *matCellDef="let element">{{ element.count }}</td>
    </ng-container>
    <ng-container matColumnDef="tool">
      <th mat-header-cell *matHeaderCellDef class="th-tool"></th>
      <td mat-cell *matCellDef="let element">
        <button class="delete-btn" mat-flat-button color="warn" (click)="deleteUrlShortener(element._id)">Delete</button>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="urlShortenerColumns" class="tr-header"></tr>
    <tr mat-row *matRowDef="let row; columns: urlShortenerColumns;" class="tr-body"></tr>
  </table>
</mat-card>